## brdesktop-artwork 0.2

=== Makefile ===
DIRS=usplash

build:
	for dir in $(DIRS); do \
		make -C $$dir || exit 1; \
	done

clean:
	for dir in $(DIRS); do \
		make -C $$dir clean; \
	done

=== usplash/Makefile ===
CC=gcc
CFLAGS=-g -Wall
LDFLAGS=
INCLUDES=

COMPILE = $(CC) $(INCLUDES) -fPIC $(CFLAGS)
LINK = $(CC) $(CFLAGS) $(LDFLAGS)

INSTALL = /usr/bin/install -c
INSTALL_DATA = $(INSTALL) -m 644
INSTALL_PROGRAM = $(INSTALL) -m 755

brdesktop-theme.so: throbber_back_640_480.png.c.o throbber_back_800_600.png.c.o  \
                         throbber_back_1024_768.png.c.o throbber_back_1280_1024.png.c.o \
			 throbber_fore_640_480.png.c.o throbber_fore_800_600.png.c.o  \
                         throbber_fore_1024_768.png.c.o throbber_fore_1280_1024.png.c.o \
                         usplash_640_480.png.c.o usplash_800_600.png.c.o \
		         usplash_1024_768.png.c.o usplash_1280_1024.png.c.o \
			 brdesktop-theme.c.o \

	$(COMPILE) -shared -o $@ $^

%.png.c: %.png
	pngtousplash $< > $@

%.bdf.c: %.bdf
	bdftousplash $< > $@

%.c.o: %.c
	$(COMPILE) -o $@ -c $<

install:
	$(INSTALL) -d $(DESTDIR)/usr/lib/usplash
	$(INSTALL_PROGRAM) brdesktop-theme.so $(DESTDIR)/usr/lib/usplash/brdesktop-theme.so
clean:
	rm -f *.png.c *.bdf.c *.c.o *.so

=== debian/changelog ===
brdesktop-artwork (0.2) unstable; urgency=low

  [ Tiago Bortoletto Vaz ]
  * debian/control:
    - improved packages descriptions;
    - added gnome-icon-theme-nuovo as default icon theme;
    - changed priority from optional to extra.
  * added custom main menu icon.

  [ Goedson Teixeira Paixao ]
  * debian/control:
    - added improved description of BrDesktop to the package descriptions.

 -- Tiago Bortoletto Vaz <tiago@debian-ba.org>  Sat, 19 Apr 2008 16:29:43 -0300

brdesktop-artwork (0.1) unstable; urgency=low

  * Initial Release.

 -- Tiago Bortoletto Vaz <tiago@debian-ba.org>  Wed,  6 Feb 2008 17:02:52 -0300

=== debian/control ===
Source: brdesktop-artwork
Section: graphics
Priority: extra
Maintainer: BrDesktop Team <devel@listas.brdesktop.org>
Uploaders: Tiago Bortoletto Vaz <tiago@debian-ba.org>
Build-Depends: debhelper (>= 5), cdbs, pngquant, libusplash-dev
Standards-Version: 3.7.3

Package: brdesktop-artwork-gnome
Architecture: all
Depends: gdm, gnome-themes-extras, gnome-icon-theme-nuovo
Description: Brazilian Custom Debian Distribution - GNOME artwork
 This package contains themes and artwork for the GNOME flavour of BrDesktop.
 It is useful only as a dependency of brdesktop-gnome.
 .
 BrDesktop is a Custom Debian Distribution designed for Brazilian
 desktop users. Its main goal is to make Debian easier to install and
 more pleasant to use for these users by providing a selection of free
 software covering most of the tasks a desktop user may want to do
 with his computer, a customized desktop theme and a streamlined
 installation process with Brazilian localization options and packages
 pre-selected.
Homepage: http://brdesktop.org

Package: brdesktop-artwork-usplash
Pre-Depends: usplash
Depends: ${shlibs:Depends}
Architecture: any
Description: Brazilian Custom Debian Distribution - graphical boot theme
 This package installs the Usplash startup screen for BrDesktop.
 .
 BrDesktop is a Custom Debian Distribution designed for Brazilian
 desktop users. Its main goal is to make Debian easier to install and
 more pleasant to use for these users by providing a selection of free
 software covering most of the tasks a desktop user may want to do
 with his computer, a customized desktop theme and a streamlined
 installation process with Brazilian localization options and packages
 pre-selected.
Homepage: http://brdesktop.org

## brdesktop-artwork 0.3

=== Makefile ===
--- 
+++ 
@@ -1,4 +1,4 @@
-DIRS=usplash
+DIRS=usplash grub
 
 build:
 	for dir in $(DIRS); do \

=== debian/changelog ===
brdesktop-artwork (0.3) unstable; urgency=low

  * New binary package brdesktop-artwork-grub for grub splash image.
  * wallpapers/brdesktop01.jpg, wallpapers/brdesktop02.jpg: were actually PNG
    images despite the termination. Converted to actual JPEG images.
  * gnome/index.theme: changing metacity theme to Nuvola.
  * debian/control:
    + adding Dm-Upload-Allowed flag
    + bumped Standards-Version to 3.8.0. No chandes needed.
  * Adding myself as Uploader
  * gnome/index.theme: using "brdesktop" theme instead of "Nuovo"
  * added icons/index.theme:
    + Describing the theme properly, and inheriting from "Nuovo".
  * moved icon for main menu into to right place (scalable/places).

 -- Antonio Terceiro <terceiro@softwarelivre.org>  Tue, 26 Aug 2008 10:31:33 -0300

=== debian/control ===
--- 
+++ 
@@ -2,9 +2,10 @@
 Section: graphics
 Priority: extra
 Maintainer: BrDesktop Team <devel@listas.brdesktop.org>
-Uploaders: Tiago Bortoletto Vaz <tiago@debian-ba.org>
+Uploaders: Tiago Bortoletto Vaz <tiago@debian-ba.org>, Antonio Terceiro <terceiro@softwarelivre.org>
 Build-Depends: debhelper (>= 5), cdbs, pngquant, libusplash-dev
-Standards-Version: 3.7.3
+Standards-Version: 3.8.0
+Dm-Upload-Allowed: yes
 
 Package: brdesktop-artwork-gnome
 Architecture: all
@@ -37,3 +38,19 @@
  installation process with Brazilian localization options and packages
  pre-selected.
 Homepage: http://brdesktop.org
+
+Package: brdesktop-artwork-grub
+Pre-Depends: grub
+Depends: ${shlibs:Depends}
+Architecture: any
+Description: Brazilian Custom Debian Distribution - grub theme
+ This package installs the grub theme for BrDesktop.
+ .
+ BrDesktop is a Custom Debian Distribution designed for Brazilian
+ desktop users. Its main goal is to make Debian easier to install and
+ more pleasant to use for these users by providing a selection of free
+ software covering most of the tasks a desktop user may want to do
+ with his computer, a customized desktop theme and a streamlined
+ installation process with Brazilian localization options and packages
+ pre-selected.
+Homepage: http://brdesktop.org

## brdesktop-artwork 0.4

=== Makefile ===
--- 
+++ 
@@ -1,4 +1,4 @@
-DIRS=usplash grub
+DIRS=grub
 
 build:
 	for dir in $(DIRS); do \

=== grub/Makefile ===
all: brdesktop.xpm.gz

%.gz: %
	cat $< | gzip - > $@

clean:
	rm -f *.gz

=== debian/changelog ===
brdesktop-artwork (0.4) unstable; urgency=low

  * This releases BrDesktop Lenny.
  * Add new binary package: brdesktop-artwork-splashy.
  * No more postinst for grub theme. Setting grub splash is in live-helper.
  * Add a new cool grub splash image.

 -- Tiago Bortoletto Vaz <tiago@debian-ba.org>  Wed, 15 Apr 2009 11:01:32 -0400

=== debian/control ===
Source: brdesktop-artwork
Section: graphics
Priority: extra
Maintainer: BrDesktop Team <devel@listas.brdesktop.org>
Uploaders: Tiago Bortoletto Vaz <tiago@debian-ba.org>, Antonio Terceiro <terceiro@softwarelivre.org>
Build-Depends: debhelper (>= 5), cdbs
Standards-Version: 3.8.1
Dm-Upload-Allowed: yes

Package: brdesktop-artwork-gnome
Architecture: all
Depends: gdm, gnome-themes-extras, gnome-icon-theme-nuovo, ${misc:Depends}
Description: Brazilian Debian Pure Blend - GNOME artwork
 This package contains themes and artwork for the GNOME flavour of BrDesktop.
 It is useful only as a dependency of brdesktop-gnome.
 .
 BrDesktop is a Debian Pure Blend designed for Brazilian desktop users. Its
 main goal is to make Debian easier to install and more pleasant to use for
 these users by providing a selection of free software covering most of the
 tasks a desktop user may want to do with his computer, a customized desktop
 theme and a streamlined installation process with Brazilian localization
 options and packages pre-selected.
Homepage: http://brdesktop.org

Package: brdesktop-artwork-splashy
Depends: ${shlibs:Depends}, ${misc:Depends}, splashy
Architecture: all
Description: Brazilian Debian Pure Blend - splashy graphical boot theme
 This package installs the Splashy startup screen for BrDesktop.
 .
 BrDesktop is a Debian Pure Blend designed for Brazilian desktop users. Its
 main goal is to make Debian easier to install and more pleasant to use for
 these users by providing a selection of free software covering most of the
 tasks a desktop user may want to do with his computer, a customized desktop
 theme and a streamlined installation process with Brazilian localization
 options and packages pre-selected.
Homepage: http://brdesktop.org

Package: brdesktop-artwork-grub
Pre-Depends: grub
Depends: ${shlibs:Depends}, ${misc:Depends}
Architecture: any
Description: Brazilian Debian Pure Blend - grub theme
 This package installs the grub theme for BrDesktop.
 .
 BrDesktop is a Debian Pure Blend designed for Brazilian desktop users. Its
 main goal is to make Debian easier to install and more pleasant to use for
 these users by providing a selection of free software covering most of the
 tasks a desktop user may want to do with his computer, a customized desktop
 theme and a streamlined installation process with Brazilian localization
 options and packages pre-selected.
Homepage: http://brdesktop.org

## brdesktop-artwork 0.5

=== debian/changelog ===
brdesktop-artwork (0.5) unstable; urgency=low

  * Remove grub1 artwork package. We'll start to use grub2.
  * Fix several minor issues reported by lintian.

 -- Tiago Bortoletto Vaz <tiago@debian-ba.org>  Tue, 18 Aug 2009 21:16:10 -0300

=== debian/control ===
--- 
+++ 
@@ -2,9 +2,9 @@
 Section: graphics
 Priority: extra
 Maintainer: BrDesktop Team <devel@listas.brdesktop.org>
-Uploaders: Tiago Bortoletto Vaz <tiago@debian-ba.org>, Antonio Terceiro <terceiro@softwarelivre.org>
+Uploaders: Tiago Bortoletto Vaz <tiago@debian-ba.org>
 Build-Depends: debhelper (>= 5), cdbs
-Standards-Version: 3.8.1
+Standards-Version: 3.8.2
 Dm-Upload-Allowed: yes
 
 Package: brdesktop-artwork-gnome
@@ -23,7 +23,8 @@
 Homepage: http://brdesktop.org
 
 Package: brdesktop-artwork-splashy
-Depends: ${shlibs:Depends}, ${misc:Depends}, splashy
+Depends: ${shlibs:Depends}, ${misc:Depends}
+Recommends: splashy
 Architecture: all
 Description: Brazilian Debian Pure Blend - splashy graphical boot theme
  This package installs the Splashy startup screen for BrDesktop.
@@ -35,18 +36,3 @@
  theme and a streamlined installation process with Brazilian localization
  options and packages pre-selected.
 Homepage: http://brdesktop.org
-
-Package: brdesktop-artwork-grub
-Pre-Depends: grub
-Depends: ${shlibs:Depends}, ${misc:Depends}
-Architecture: any
-Description: Brazilian Debian Pure Blend - grub theme
- This package installs the grub theme for BrDesktop.
- .
- BrDesktop is a Debian Pure Blend designed for Brazilian desktop users. Its
- main goal is to make Debian easier to install and more pleasant to use for
- these users by providing a selection of free software covering most of the
- tasks a desktop user may want to do with his computer, a customized desktop
- theme and a streamlined installation process with Brazilian localization
- options and packages pre-selected.
-Homepage: http://brdesktop.org

## brdesktop-artwork 0.7

=== debian/changelog ===
brdesktop-artwork (0.7) unstable; urgency=low

  * Depending on gdm3 instead of gdm. It avoids future conflicts.

 -- Tiago Bortoletto Vaz <tiago@debian.org>  Sun, 01 Aug 2010 23:26:57 -0300

brdesktop-artwork (0.6) unstable; urgency=low

  [ Otavio Salvador ]
  * Bump Standards-Version to 3.8.3, no changes required.
  * Add VCS-SVN and VCS-Browse fields.

  [ Tiago Bortoletto Vaz ]
  * Standards-Version to 3.8.4.
  * Fixes VCS-Browse to VCS-Browser.
  * Releasing 0.6 to sid.

 -- Tiago Bortoletto Vaz <tiago@debian.org>  Sun, 01 Aug 2010 17:04:44 -0300

=== debian/control ===
--- 
+++ 
@@ -1,18 +1,18 @@
 Source: brdesktop-artwork
 Section: graphics
 Priority: extra
-Maintainer: BrDesktop Team <devel@listas.brdesktop.org>
-Uploaders: Tiago Bortoletto Vaz <tiago@debian-ba.org>
+Maintainer: Tiago Bortoletto Vaz <tiago@debian.org>
 Build-Depends: debhelper (>= 5), cdbs
-Standards-Version: 3.8.2
+Standards-Version: 3.8.4
+VCS-GIT: git://git.debian.org/git/collab-maint/brdesktop-debs.git
+VCS-Browser: http://git.debian.org/?p=collab-maint/brdesktop-debs.git
 Dm-Upload-Allowed: yes
 
 Package: brdesktop-artwork-gnome
 Architecture: all
-Depends: gdm, gnome-themes-extras, gnome-icon-theme-nuovo, ${misc:Depends}
+Depends: gdm3, gnome-themes-extras, gnome-icon-theme-nuovo, ${misc:Depends}
 Description: Brazilian Debian Pure Blend - GNOME artwork
  This package contains themes and artwork for the GNOME flavour of BrDesktop.
- It is useful only as a dependency of brdesktop-gnome.
  .
  BrDesktop is a Debian Pure Blend designed for Brazilian desktop users. Its
  main goal is to make Debian easier to install and more pleasant to use for
